Nextcloud se désinstalle tout seul et impossible de le réinstaller

Matériel: PC fixe
Version de YunoHost: 3.6.4.6
J’ai accès à mon serveur : Complet
Êtes-vous dans un contexte particulier ou avez-vous effectué des modificiations particulières sur votre instance ? : non

Bonsoir,

En allumant mon PC, j’ai eu la mauvaise surprise de voir que nextcloud s’est désinstallé de sa propre initiative sans me demander mon avis. Je tente de le réinstaller, échec pour cause de «unable to install dependancies».

Le log d’installation

Bonjour,

Il y a visiblement beaucoup de choses dans tes sources.list dont sury, du buster et du squeeze :

2019-11-01 22:41:04,799: DEBUG - Ign:1 http://ftp.debian.org/debian stretch InRelease
2019-11-01 22:41:04,899: DEBUG - Get:2 http://ftp.debian.org/debian stretch-updates InRelease [91.0 kB]
2019-11-01 22:41:04,900: DEBUG - Get:3 http://forge.yunohost.org/debian stretch InRelease [18.2 kB]
2019-11-01 22:41:04,901: DEBUG - Hit:4 http://as-repository.openvpn.net/as/debian buster InRelease
2019-11-01 22:41:04,901: DEBUG - Get:5 http://security.debian.org/debian-security stretch/updates InRelease [94.3 kB]
2019-11-01 22:41:04,901: DEBUG - Hit:6 http://download.onlyoffice.com/repo/debian squeeze InRelease
2019-11-01 22:41:05,008: DEBUG - Hit:7 http://ftp.debian.org/debian stretch Release
2019-11-01 22:41:05,912: DEBUG - Hit:8 https://artifacts.elastic.co/packages/6.x/apt stable InRelease
2019-11-01 22:41:05,912: DEBUG - Hit:9 https://packages.sury.org/php stretch InRelease
2019-11-01 22:41:05,913: DEBUG - Hit:10 https://deb.nodesource.com/node_10.x stretch InRelease
2019-11-01 22:41:05,913: DEBUG - Hit:11 https://download.docker.com/linux/debian stretch InRelease
2019-11-01 22:41:06,013: DEBUG - Hit:12 https://deb.nodesource.com/node_8.x stretch InRelease
2019-11-01 22:41:06,214: DEBUG - Hit:13 https://packages.grafana.com/oss/deb stable InRelease
2019-11-01 22:41:06,716: DEBUG - Get:15 http://security.debian.org/debian-security stretch/updates/main Sources [191 kB]
2019-11-01 22:41:06,916: DEBUG - Get:16 http://security.debian.org/debian-security stretch/updates/main amd64 Packages [501 kB]

Il y a eu des soucis avec le dépôt sury : Sury repository is pushing possibly unwanted upgrades

Peut-être voir dans un premier temps à commenter cette ligne dans le sources.list correspondant en ajoutant un # au tout début de cette ligne.
Attention : toujours faire une copie des fichiers avant de les modifier
Exemple :

cp /tmp/fichier_a_copier /tmp/fichier_a_copier.bak

Source : https://doc.ubuntu-fr.org/console#commandes_et_parametres

Le fichier devrait se trouver par là

cat /etc/apt/sources.list.d/php.list

Source : https://packages.sury.org/php/README.txt

ou bien sa référence dans ce fichier ici

cat /etc/apt/sources.list

Il faudra utiliser nano à la place de cat pour éditer le fichier APRES en avoir fait une copie.
Source : https://doc.ubuntu-fr.org/nano#commandes_de_base

ppr

J’ai désactivé le dépôt et fait un apt update, mais ça ne marche toujours pas.

Peut-être essayer de commenter tout ce qui pointe explicitement vers autre chose que stretchdans tes sources.list :

http://as-repository.openvpn.net/as/debian buster InRelease
http://download.onlyoffice.com/repo/debian squeeze InRelease

ppr

En plus de ce que propose pierre :

2019-11-02 09:15:48,311: WARNING - Errors were encountered while processing:
2019-11-02 09:15:48,311: WARNING -  php7.2-fpm

Donc ca semble fortement lié à ton autre topic qui parle de manipulation manuelles avec php7.2 …

Fait, et toujours zéro changement.

Update: Je me suis inspiré de la solution ci-dessous et ai supprimé pixelfed.conf dans le dossier en question. Maintenant, ça marche de nouveau.

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.